import React from "react";
import PropTypes from "prop-types";
import {
  View,
  Text,
  Image,
  SafeAreaView,
  TouchableOpacity
} from "react-native";
import styles from "./HeaderContent.style";

const HeaderContent = props => {
  const { title, subtitle} = props;
  return (
    <SafeAreaView>
      <View style={styles.container}>
        <View style={styles.leftContainer}>
          <Text style={styles.dateTextStyle}>{title}</Text>
          <Text style={styles.saluteTextStyle}>{subtitle}</Text>
        </View>
      </View>
    </SafeAreaView>
  );
};

HeaderContent.propTypes = {
  title: PropTypes.string,
  subtitle: PropTypes.string,
  imageOnPress: PropTypes.func
};

HeaderContent.defaultProps = {
  title: "Today",
  subtitle: "Have a nice day",
};

export default HeaderContent;
